@import "../../../styles/core/pallete.pcss";
@import "../../core/typography.pcss";
@import "../../../styles/core/variables.pcss";

:root {
  --textarea-min-width: 250px;
  --textarea-height: 135px;
  --textarea-padding: 16px;
  --textarea-border: 0;
  --textarea-border-radius: 4px;
  --textarea-background-color: var(--color-white);

  --textarea-line-height: 1.5;
  --textarea-placeholder-color: var(--color-gray-dark);
}

.form-textarea {
  display: inline-block;
  min-width: var(--textarea-min-width);
  height: var(--textarea-height);
  padding: var(--textarea-padding);
  border: var(--textarea-border);
  border-radius: var(--textarea-border-radius);
  background-color: var(--textarea-background-color);
  line-height: var(--textarea-line-height);
  resize: none;

  &::placeholder {
    color: var(--textarea-placeholder-color);
    transition: var(--transition);
  }

  &:focus {
    outline: none;

    &::placeholder {
      color: transparent;
    }
  }
}
